Bug 478425 (CVE-2008-5498) - CVE-2008-5498 php: libgd imagerotate() array index error memory disclosure
Summary: CVE-2008-5498 php: libgd imagerotate() array index error memory disclosure
Status: CLOSED ERRATA
Alias: CVE-2008-5498
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: source=internet,public=20081224,repor...
Keywords: Security
Depends On: 487359 487360 487361 487368 487369 487370 487371
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-12-29 21:33 UTC by Marc Schoenefeld
Modified: 2019-06-08 12:39 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-03-29 08:48:23 UTC


Attachments (Terms of Use)
Simple PoC (72 bytes, text/plain)
2009-01-15 15:47 UTC, Tomas Hoger
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0337 normal SHIPPED_LIVE Moderate: php security update 2009-04-06 16:51:01 UTC
Red Hat Product Errata RHSA-2009:0338 normal SHIPPED_LIVE Moderate: php security update 2009-04-06 16:38:01 UTC
Red Hat Product Errata RHSA-2009:0350 normal SHIPPED_LIVE Moderate: php security update 2009-04-14 17:14:37 UTC

Description Marc Schoenefeld 2008-12-29 21:33:11 UTC
Hamid Ebadi reported a boundary condition flaw in PHP:

Array index error in the imageRotate function in PHP 5.2.8 and earlier allows context-dependent attackers to read the contents of arbitrary memory locations via a crafted value of the third argument (aka the bgd_color or clrBack argument) for an indexed image. 

Upstream fix:  
http://cvs.php.net/viewvc.cgi/php-src/ext/gd/libgd/gd.c?r1=1.90.2.1.2.23&r2=1.90.2.1.2.24&sortby=date&diff_format=l

Reproducer: 
http://downloads.securityfocus.com/vulnerabilities/exploits/33002.php
http://downloads.securityfocus.com/vulnerabilities/exploits/33002-2.php

Comment 1 Tomas Hoger 2009-01-15 14:57:23 UTC
Hamid Ebadi's advisory:

http://www.milw0rm.com/exploits/7646
http://www.securiteam.com/unixfocus/6G00Y0ANFU.html

Comment 2 Tomas Hoger 2009-01-15 15:47:00 UTC
Created attachment 329104 [details]
Simple PoC

A local copy of:
  http://downloads.securityfocus.com/vulnerabilities/exploits/33002-2.php

Comment 6 errata-xmlrpc 2009-04-06 16:38:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0338 https://rhn.redhat.com/errata/RHSA-2009-0338.html

Comment 7 errata-xmlrpc 2009-04-06 16:51:14 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2009:0337 https://rhn.redhat.com/errata/RHSA-2009-0337.html

Comment 8 errata-xmlrpc 2009-04-14 17:14:49 UTC
This issue has been addressed in following products:

  Red Hat Web Application Stack for RHEL 5

Via RHSA-2009:0350 https://rhn.redhat.com/errata/RHSA-2009-0350.html

Comment 9 Fedora Update System 2009-05-30 02:33:35 UTC
maniadrive-1.2-13.fc10, php-5.2.9-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-05-30 02:37:33 UTC
maniadrive-1.2-13.fc9, php-5.2.9-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.